# ncurses 6.1 - patch 20180923 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.1 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.1 can be found at
# 	ftp://ftp.invisible-island.net/ncurses/6.1
#	http://invisible-mirror.net/archives/ncurses/6.1 
#
# ------------------------------------------------------------------------------
# ftp://ftp.invisible-island.net/ncurses/6.1/ncurses-6.1-20180923.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Sep 23 09:07:52 UTC 2018
# ------------------------------------------------------------------------------
# NEWS                             |    6 +++++-
# VERSION                          |    2 +-
# dist.mk                          |    4 ++--
# ncurses/base/lib_mouse.c         |    3 +--
# package/debian-mingw/changelog   |    4 ++--
# package/debian-mingw64/changelog |    4 ++--
# package/debian/changelog         |    4 ++--
# package/mingw-ncurses.nsi        |    4 ++--
# package/mingw-ncurses.spec       |    2 +-
# package/ncurses.spec             |    2 +-
# package/ncursest.spec            |    2 +-
# 11 files changed, 20 insertions(+), 17 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.3190 
--- ncurses-6.1-20180922+/NEWS	2018-09-22 21:23:32.000000000 +0000
+++ ncurses-6.1-20180923/NEWS	2018-09-23 08:41:44.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.3190 2018/09/22 21:23:32 tom Exp $
+-- $Id: NEWS,v 1.3192 2018/09/23 08:41:44 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,10 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20180923
+	+ build-fix: remove a _tracef call which was used for debugging (report
+	  by Chris Clayton).
+
 20180922
 	+ ignore interrupted system-call in test/ncurses's command-line, e.g.,
 	  if the terminal were resized.
Index: VERSION
--- ncurses-6.1-20180922+/VERSION	2018-09-22 16:36:59.000000000 +0000
+++ ncurses-6.1-20180923/VERSION	2018-09-23 08:34:28.000000000 +0000
@@ -1 +1 @@
-5:0:10	6.1	20180922
+5:0:10	6.1	20180923
Index: dist.mk
Prereq:  1.1242 
--- ncurses-6.1-20180922+/dist.mk	2018-09-22 16:36:59.000000000 +0000
+++ ncurses-6.1-20180923/dist.mk	2018-09-23 08:34:28.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1242 2018/09/22 16:36:59 tom Exp $
+# $Id: dist.mk,v 1.1243 2018/09/23 08:34:28 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 1
-NCURSES_PATCH = 20180922
+NCURSES_PATCH = 20180923
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: ncurses/base/lib_mouse.c
Prereq:  1.177 
--- ncurses-6.1-20180922+/ncurses/base/lib_mouse.c	2018-09-22 19:54:21.000000000 +0000
+++ ncurses-6.1-20180923/ncurses/base/lib_mouse.c	2018-09-23 08:40:23.000000000 +0000
@@ -84,7 +84,7 @@
 #define CUR SP_TERMTYPE
 #endif
 
-MODULE_ID("$Id: lib_mouse.c,v 1.177 2018/09/22 19:54:21 tom Exp $")
+MODULE_ID("$Id: lib_mouse.c,v 1.178 2018/09/23 08:40:23 tom Exp $")
 
 #include <tic.h>
 
@@ -956,7 +956,6 @@
 {
     bool result;
 
-    _tracef("decode_X10_bstate %#x", intro);
     eventp->bstate = 0;
 
     if (!handle_wheel(sp, eventp, (int) intro, (intro & 96) == 96)) {
Index: package/debian-mingw/changelog
--- ncurses-6.1-20180922+/package/debian-mingw/changelog	2018-09-22 16:36:59.000000000 +0000
+++ ncurses-6.1-20180923/package/debian-mingw/changelog	2018-09-23 08:34:28.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20180922) unstable; urgency=low
+ncurses6 (6.1+20180923) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 22 Sep 2018 12:36:59 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 23 Sep 2018 04:34:28 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.1-20180922+/package/debian-mingw64/changelog	2018-09-22 16:36:59.000000000 +0000
+++ ncurses-6.1-20180923/package/debian-mingw64/changelog	2018-09-23 08:34:28.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20180922) unstable; urgency=low
+ncurses6 (6.1+20180923) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 22 Sep 2018 12:36:59 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 23 Sep 2018 04:34:28 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.1-20180922+/package/debian/changelog	2018-09-22 16:36:59.000000000 +0000
+++ ncurses-6.1-20180923/package/debian/changelog	2018-09-23 08:34:28.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20180922) unstable; urgency=low
+ncurses6 (6.1+20180923) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 22 Sep 2018 12:36:59 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 23 Sep 2018 04:34:27 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.289 
--- ncurses-6.1-20180922+/package/mingw-ncurses.nsi	2018-09-22 16:36:59.000000000 +0000
+++ ncurses-6.1-20180923/package/mingw-ncurses.nsi	2018-09-23 08:34:28.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.289 2018/09/22 16:36:59 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.290 2018/09/23 08:34:28 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "1"
 !define VERSION_YYYY  "2018"
-!define VERSION_MMDD  "0922"
+!define VERSION_MMDD  "0923"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.1-20180922+/package/mingw-ncurses.spec	2018-09-22 16:36:59.000000000 +0000
+++ ncurses-6.1-20180923/package/mingw-ncurses.spec	2018-09-23 08:34:28.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.1
-Release: 20180922
+Release: 20180923
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.1-20180922+/package/ncurses.spec	2018-09-22 16:36:59.000000000 +0000
+++ ncurses-6.1-20180923/package/ncurses.spec	2018-09-23 08:34:28.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.1
-Release: 20180922
+Release: 20180923
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncursest.spec
--- ncurses-6.1-20180922+/package/ncursest.spec	2018-09-22 16:36:59.000000000 +0000
+++ ncurses-6.1-20180923/package/ncursest.spec	2018-09-23 08:34:28.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: Curses library with POSIX thread support.
 Name: ncursest6
 Version: 6.1
-Release: 20180922
+Release: 20180923
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
